package com.huimv.eartag2.manage2.controller;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.manage2.service.IEartagEartagRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : 耳标注册
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping("/eartagRegister")
public class EartagRegisterController {
    @Autowired
    private IEartagEartagRegisterService eartagRegisterService;

    @RequestMapping("/listFarmUnitEartagData")
    public Result listFarmUnitEartagData(@RequestBody Map<String, String> params){
        return eartagRegisterService.listFarmUnitEartagData(params);
    }

}
